clear @s
recipe take @s *
data merge entity @s {Fire:-1s}
effect clear @s
experience add @s -999999
gamemode adventure @s
execute if entity @s[tag=!floor4_heart] run spawnpoint @s 3 1 0

#清除生物统一放在最后防止bug

# bamboo
execute if entity @s[tag=floor1_bamboo] run setblock 11 -1 7 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor1_bamboo] ~ ~ ~ 5
tag @s remove floor1_bamboo

# basalt
execute if entity @s[tag=floor1_basalt] run setblock -10 -1 -9 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor1_basalt] ~ ~ ~ 5
tag @s remove floor1_basalt

# anvil
execute if entity @s[tag=floor1_anvil] run setblock 2 -2 -11 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor1_anvil] ~ ~ ~ 5
tag @s remove floor1_anvil

# rose
execute if entity @s[tag=floor1_rose] run setblock 16 1 -10 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor1_rose] ~ ~ ~ 5
tag @s remove floor1_rose

# stew
execute if entity @s[tag=floor1_stew] run setblock -2 -1 11 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor1_stew] ~ ~ ~ 5
tag @s remove floor1_stew

# stone
execute if entity @s[tag=floor1_stone] run setblock -18 -1 10 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor1_stone] ~ ~ ~ 5
tag @s remove floor1_stone

# irongolem
execute if entity @s[tag=floor2_irongolem] run setblock -5 11 11 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor2_irongolem] ~ ~ ~ 5
tag @s remove floor2_irongolem

# fire
execute if entity @s[tag=floor2_fire] run setblock 8 13 -11 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor2_fire] ~ ~ ~ 5
tag @s remove floor2_fire

# sheep
execute if entity @s[tag=floor2_sheep] run setblock -12 14 -2 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor2_sheep] ~ ~ ~ 5
tag @s remove floor2_sheep
gamerule mobGriefing false

# death
execute if entity @s[tag=floor2_death] run setblock -11 11 -15 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor2_death] ~ ~ ~ 5
tag @s remove floor2_death
gamerule naturalRegeneration true

# johnny
execute if entity @s[tag=floor2_johnny] run setblock 12 11 1 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor2_johnny] ~ ~ ~ 5
tag @s remove floor2_johnny
team leave @s

# tntcart
execute if entity @s[tag=floor2_tntcart] run setblock 9 11 22 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor2_tntcart] ~ ~ ~ 5
tag @s remove floor2_tntcart

# rod
execute if entity @s[tag=floor3_rod] run setblock -12 25 -7 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor3_rod] ~ ~ ~ 5
tag @s remove floor3_rod

# scaffolding
execute if entity @s[tag=floor3_scaffolding] run setblock 11 25 8 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor3_scaffolding] ~ ~ ~ 5
tag @s remove floor3_scaffolding

# dripleaf
execute if entity @s[tag=floor3_dripleaf] run setblock -1 25 -11 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor3_dripleaf] ~ ~ ~ 5
tag @s remove floor3_dripleaf

# honey
execute if entity @s[tag=floor3_honey] run setblock 12 23 -11 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor3_honey] ~ ~ ~ 5
tag @s remove floor3_honey

# pearl
execute if entity @s[tag=floor3_pearl] run setblock -1 25 12 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor3_pearl] ~ ~ ~ 5
tag @s remove floor3_pearl

# water
execute if entity @s[tag=floor3_water] run setblock -16 17 11 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor3_water] ~ ~ ~ 5
tag @s remove floor3_water

# jump
execute if entity @s[tag=floor4_jump] run setblock 6 37 -11 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor4_jump] ~ ~ ~ 5
tag @s remove floor4_jump

# ladder
execute if entity @s[tag=floor4_ladder] run setblock -5 39 11 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor4_ladder] ~ ~ ~ 5
tag @s remove floor4_ladder

# shulker
execute if entity @s[tag=floor4_shulker] run setblock 21 37 1 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor4_shulker] ~ ~ ~ 5
tag @s remove floor4_shulker

# elytra
execute if entity @s[tag=floor4_elytra] run setblock 11 38 11 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor4_elytra] ~ ~ ~ 5
tag @s remove floor4_elytra

# heart
execute if entity @s[tag=floor4_heart] run setblock -12 40 -2 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor4_heart] ~ ~ ~ 5
execute if entity @s[tag=floor4_heart] run spawnpoint @s -2 40 4 80
execute if entity @s[tag=floor4_heart] run kill @s
tag @s remove floor4_heart

# rail
execute if entity @s[tag=floor4_rail] run setblock -11 39 -29 redstone_block
playsound minecraft:block.respawn_anchor.deplete voice @s[tag=floor4_rail] ~ ~ ~ 5
tag @s remove floor4_rail

# kill
kill @e[type=arrow]
kill @e[type=zombie]
kill @e[type=skeleton]
kill @e[type=parrot]
kill @e[type=witch]
kill @e[type=iron_golem]
kill @e[type=pig]
kill @e[type=vindicator]
kill @e[type=pillager]
kill @e[type=evoker]
kill @e[type=pufferfish]
kill @e[type=vex]
kill @e[type=sheep]
kill @e[type=armor_stand]
kill @e[type=mule]
kill @e[type=creeper]
kill @e[type=husk]
kill @e[type=spider]
kill @e[type=wither_skeleton]
kill @e[type=minecart]
kill @e[type=hopper_minecart]
kill @e[type=chest_minecart]
kill @e[type=furnace_minecart]
kill @e[type=tnt_minecart]
kill @e[type=tnt]
kill @e[type=spectral_arrow]
kill @e[type=ender_pearl]
kill @e[type=falling_block]
kill @e[type=marker,tag=pearl_killer]

kill @e[type=item]

# special
scoreboard players set @s floor2_fire_time 0
scoreboard players set @s floor4_elytra_time 0
scoreboard players set @s hintnumber 0